ModuleConnector
Keywords: uk.ac.ic.doc.automed.util.ModuleConnector class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util
Class ModuleConnector

    java.lang.Object
      uk.ac.ic.doc.automed.util.ModuleConnector

    public class ModuleConnector

extends java.lang.Object

ModuleConnector.java Responsible for loading classes from Rodex project, creating object instances and invoking methods of these instances.

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 20 April 2006 Department of Computing, Imperial College

Field Summary
`static java.lang.String` | `CLS_CACHE`
`static java.lang.String` | `SINGLETON_METHOD`

Constructor Summary
`ModuleConnector()`

Method Summary
`static java.lang.Object` | `createClassInstance(java.lang.String className, java.lang.Class[] consArgClasses, java.lang.Object[] consArgValues)` Create a new class instance using a declared constructor
`static java.lang.Object` | `createClassSingleInstance(java.lang.String className, java.lang.Class[] argClasses, java.lang.Object[] argValues)` Create a class instance using getInstance() method
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON_METHOD

    public static final java.lang.String SINGLETON_METHOD

See Also:
  Constant Field Values

### CLS_CACHE

    public static final java.lang.String CLS_CACHE

See Also:
  Constant Field Values

Constructor Detail

### ModuleConnector

    public ModuleConnector()

Method Detail

### createClassInstance

    public static java.lang.Object createClassInstance(java.lang.String className,
                                                       java.lang.Class[] consArgClasses,
                                                       java.lang.Object[] consArgValues)
                                                throws CreateInstanceException

  Create a new class instance using a declared constructor

  Parameters:
    `className` - String representing class name
    `consArgClasses` - an array of `Class` object representing the class of constructor's arguments
    `consArgValues` - an array of value objects for the constructor's arguments
  Throws:
    `CreateInstanceException`

### createClassSingleInstance

    public static java.lang.Object createClassSingleInstance(java.lang.String className,
                                                             java.lang.Class[] argClasses,
                                                             java.lang.Object[] argValues)
                                                      throws CreateInstanceException

  Create a class instance using getInstance() method

  Parameters:
    `className` - String representing class name
    `consArgClasses` - an array of `Class` object representing the class of constructor's arguments
    `consArgValues` - an array of value objects for the constructor's arguments
  Throws:
    `CreateInstanceException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD